DROP NODE(7)

NAME
DROP_NODE - drop a cluster node

SYNOPSIS

DROP NODE nodename

DESCRIPTION

    Note

    The following description applies only to Postgres-XC

DROP NODE is new SQL query specific to Postgres-XC since 0.9.7 that deletes cluster node information in catalog pgxc_node.

Node connection that has been deleted does not guarranty that connection information cached in pooler is updated accordingly.

DROP NODE only runs on the local node where it is launched.

PARAMETERS

nodename
    The name of the selected cluster node.

EXAMPLES

Drop a cluster node.

    DROP NODE cluster_node;

COMPATIBILITY

DROP NODE does not conform to the SQL standards, it is a Postgres-XC specific command.